Bug 831448 - support op="!=" operator to specify NOT using specific lab controller in <hostlabcontroller/>
support op="!=" operator to specify NOT using specific lab controller in <hos...
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
All Linux
medium Severity medium (vote)
: 0.9.3
: ---
Assigned To: Dan Callaghan
Depends On:
  Show dependency treegraph
Reported: 2012-06-12 21:44 EDT by yanfu,wang
Modified: 2012-09-06 00:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-06 00:40:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yanfu,wang 2012-06-12 21:44:41 EDT
Description of problem:
I used following line but seems lab controller don't support "!=", still
got bos lab machine:
<hostlabcontroller op="!=" value="lab-02.rhts.eng.bos.redhat.com"/>

From Dan Callaghan reply:
Unfortunately that's not supported at present. Both <hostlabcontroller/> 
and <distrolabcontroller/> ignore op="" and assume the == operator.

Actual results:
don't support op="!" operator.

Expected results:
support op="!" operator.

Additional info:
Comment 1 Dan Callaghan 2012-08-14 00:27:19 EDT
On Gerrit: http://gerrit.beaker-project.org/1293
Comment 5 Dan Callaghan 2012-09-06 00:40:53 EDT
Beaker 0.9.3 has been released.

Note You need to log in before you can comment on or make changes to this bug.